require 'fltk'
require 'fltk/thread'

$win = FLTK::Window.new(100,120){|win|
  $pack = FLTK::Pack.new(10,10,80,100){|pack|
    pack.pack_type = FLTK::Pack::VERTICAL
    win.resizable(pack)
  }
}

$pack.group_begin{|pack|
  clock = FLTK::Clock.new(80,80)
  box = FLTK::Box.new(80,20,"??:??:??")
  box.box = FLTK::THIN_DOWN_BOX
  pack.resizable(clock)
  Thread.new{
    while(true)
      box.label = sprintf("%02d:%02d:%02d", clock.hour, clock.minute, clock.second)
      box.redraw
      sleep(1)
    end
  }
}

$win.show

FLTK.run
