require 'iconv'

def e2u(str)
  Iconv.iconv("UTF-8","EUC-JP",str).join
end

SAMPLE_SCRIPTS = [
  [e2u("ץ1"), "sample1.rb"],
  [e2u("ץ2"), "sample2.rb"],
  [e2u("ץ3"), "sample3.rb"],
  [e2u("ץ4"), "sample4.rb"],
  [e2u("ץ5"), "sample5.rb"],
  [e2u("ץ6"), "sample6.rb"],
  [e2u("ץ7"), "sample7.rb"],
  [e2u("ץ8"), "sample8.rb"],
  [e2u("ץ9"), "sample9.rb"],
  [e2u("ꥹȥܥå"),"listbox.rb"],
  [e2u("ѹ"),  "resize.rb"],
  [e2u("ǥ"),  "editor.rb"],
  [e2u(""),    "othello.rb"],
  [e2u(""),      "clock.rb"],
  [e2u(""),      "image.rb"],
  [e2u(""),"wizard.rb"],
  [e2u("֥饦"), "cbrowser.rb"],
]
BUTTON_MESSAGE = e2u("åƼ¹")
FOOTER_MESSAGE = [
  e2u("Copyright (c) 2002, Ω "),
  e2u("Ruby/FLTKΥץץླྀǤ"),
].join("\n")

require File.join(File.dirname($0), "demo.rb")
