require 'fltk'

w = FLTK::Window.new(600,100){
  b1 = FLTK::HoldBrowser.new(0,0,300,100)
  b1.add("item1\titem1\titem1", "data1")
  b1.add("item2\titem2\titem2", "data2")
  b1.add("item3\titem3\titem3", "data3")
  b1.callback{|w,data|
    i = b1.value
    print("widget = #{w.inspect}\n",
	  "data   = #{data.inspect}\n",
	  "value  = #{i}\n",
	  "data   = #{b1.data(i).inspect}\n")
  }

  b2 = FLTK::HoldBrowser.new(300,0,300,100)
  b2.add("item1\titem1\titem1", "data4")
  b2.add("item2\titem2\titem2", "data5")
  b2.add("item3\titem3\titem3", "data6")
  b2.column_widths([100,100,100])
  b2.callback{|w,data|
    i = b2.value
    print("widget = #{w.inspect}\n",
	  "data   = #{data.inspect}\n",
	  "value  = #{i}\n",
	  "data   = #{b2.data(i).inspect}\n")
  }
}
w.show

GC.start

FLTK.run
