require 'fltk'

MSG = "hello world!"

$win = FLTK::Window.new(0,0,300,100, "MyWindow"){
  $b1 = FLTK::Button.new(0,0,100,100, "Print"){|widget,data|
    print("#{data}\n")
  }
  $b2 = FLTK::Button.new(100,0,100,100, "Next"){|widget,data|
    $b1.user_data = $b1.user_data.succ
    $b1.do_callback
  }
  $b3 = FLTK::Button.new(200,0,100,100, "Reset"){|widget,data|
    $b1.user_data = MSG
    $b1.do_callback
  }
  $b1.user_data = MSG # default setting
}
$win.show

GC.start

FLTK.run

