require 'fltk'
require 'flvw'

#//	Demonstrate Simplest Flv_List_Child

class VListChild < FLTK::VList
  include FLTK::Drawable
    def initialize(px, py, pw, ph, l='')
	super(px,py,pw,ph,l)
    end

    def draw_row( offset, px, py, pw, ph, pr )
	style = FLTK::VStyle.new
	get_style(style, pr,0)
	super
	if pr < 0
	    line = ((pr == -1) ? 'Header' : 'Footer')
	else
	    line = pr.to_s
	end
	text_draw(line, px+1-offset, py-8,pw,ph-4, style.align)
    end

=begin
    def get_style(s, pr, pc=0 )
	print " : get_style \n"
	super
	#.get_style(s,pr,pc)
	print " : get_style \n"
	if (pr > -1) && ((pr%2) == 0)
	print " : get_style s.background #{pr} \n"
#	    s.background(FLTK::GRAY)
#	    s.foreground(FLTK::BLACK)
	end
    end
=end    
end

w = FLTK::Window.new( 200, 173, "Test list" )
l = VListChild.new( 10, 10, 180, 153 )
w.end
w.resizable(l)

l.rows(20)
l.has_scrollbar(FLTK::VS_VERTICAL)
#l.row_width(200)
#l.feature(FLTK::VF_ALL_ROW | FLTK::VF_MULTI_SELECT)
l.global_style.resizable(true)
l.global_style.align(FLTK::ALIGN_CLIP)
#  l.global_style.border(FLTK::VB_RIGHT | FLTK::VB_BOTTOM)

l.callback(l){|pw,pd| print "Hi \n"}

w.show

FLTK.run

