require 'fltk'

class MyWindow < FLTK::Window
  def initialize(*args)
    super(*args){
      @menu = FLTK::MenuBar.new(0,0,w,20)

      # '#' = ALT, '+' = SHIFT, '^' = CTRL
      @menu.add("file/exit1", "#Q"){|win,data| exit(0) }
      @menu.add("file/exit2", FLTK::CTRL + ?q){ exit(0) }
      @menu.add("menu1/submenu1", "^A"){|win,data| print("menu1/submenu1\n") }
      @menu.add("menu1/submenu2", "^B"){|win,data| print("menu1/submenu2\n") }
      @menu.add("menu1/submenu3", "^C"){|win,data| print("menu1/submenu3\n") }
      @menu.add("menu2/submenu1", "^D"){|win,data| print("menu2/submenu1\n") }
      @menu.add("menu2/submenu2", "^E"){|win,data| print("menu2/submenu2\n") }
      @menu.add("menu2/submenu3", "^F"){|win,data| print("menu2/submenu3\n") }
      @menu.add("menu3/submenu1", "+A"){|win,data| print("menu3/submenu1\n") }
      @menu.add("menu3/submenu2", "+B"){|win,data| print("menu3/submenu2\n") }
    }
  end
end


w = MyWindow.new(300,100)
w.show

GC.start

FLTK.run
