require 'fltk'

class MyWidget < FLTK::Box
  include FLTK::Drawable

  def initialize(image, x, y, w, h)
    super(x,y,w,h)
    @image = image
    @image.label(self)
  end
end

FLTK::Window.new(0,0,400,400){|window|
  png = FLTK::PNGImage.new("test/ruby.png")
  jpeg = FLTK::JPEGImage.new("test/ruby.jpg")

  m1 = MyWidget.new(png, 0,0,200,200)
  m2 = MyWidget.new(jpeg, 200,200,200,200)

  window.show
}

FLTK.run
