require 'fltk'
require 'fltk/thread'

FLTK::Window.new(200,200){|win|
  s1 = FLTK::ValueSlider.new(0,0,200,20)
  s2 = FLTK::FillSlider.new(0,40,200,20)
  s3 = FLTK::NiceSlider.new(0,80,200,20)
  [s1,s2,s3].each{|s|
    s.widget_type |= FLTK::HOR_SLIDER
    s.value = 0
    s.maximum = 100.0
    s.label = s.value.to_s
    s.callback{
      s.label = s.value.to_s
      win.redraw
    }
  }
  sb = FLTK::Button.new(0,170,50,30, "Start"){
    if( !$thread )
      $thread = Thread.new{
	while( true )
	  [s1,s2,s3].each{|s|
	    s.value += 5
	    s.label = s.value.to_s
	    win.redraw
	  }
	  sleep(1)
	end
      }
    end
  }
  eb = FLTK::Button.new(50,170,50,30, "Stop"){
    if( $thread )
      $thread.kill
      $thread = nil
    end
  }
  win.show
}

FLTK.run
