require 'fltk'

class MyWindow < FLTK::Window
  def initialize
    super(400, 100, 'Box, Input and Button'){|win|
      FLTK::Box.new(0, 0, 200, 20, 'Enter some text:')

      @input = FLTK::Input.new(0, 20, 200, 20)
      @input.value('Initial Text')

      button = FLTK::Button.new(0, 40, 200, 20, 'Swap Case')
      button.callback{|win,data| onSwapCase }

      yield(win)
    }
  end

  def onSwapCase
    @input.value = @input.value.swapcase
  end
end

MyWindow.new{|win|
  win.show
}
FLTK.run
