require 'fltk'
require 'fltk/canvas'

WIDTH = 400
HEIGHT = 400
win = FLTK::DoubleWindow.new(WIDTH, HEIGHT){|win|
  scroll = FLTK::Scroll.new(WIDTH,HEIGHT)
  canvas = FLTK::Canvas.new(WIDTH * 2,HEIGHT * 2)
  canvas.scroll = scroll

  FLTK::Canvas::Line.new(canvas, [[10,10], [200,200]], FLTK::SOLID, 2)
  FLTK::Canvas::CLine.new(canvas, [[10,10], [200,200]], FLTK::SOLID, 2)
  FLTK::Canvas::Circle.new(canvas, 10,10,4)
  FLTK::Canvas::Rect.new(canvas, 20,20, 100,100)
  FLTK::Canvas::CRect.new(canvas, 20,20, 100,100)
  FLTK::Canvas::Polygon.new(canvas, [[20,20],[120,100],[300,300]])
  FLTK::Canvas::CPolygon.new(canvas, [[20,20],[120,100],[300,300]])
  FLTK::Canvas::Label.new(canvas, 100,100, "label")
  #FLTK::Canvas::Ellipse.new(canvas, 200,200,100,50)
}
win.resizable(win)
win.show
FLTK.run
