require 'fltk'

class MyTextDisplay < FLTK::TextDisplay
  def handle(e)
    case e
    when FLTK::FOCUS
      show_insert_position
      return true
    else
      return false
    end
  end
end

w = FLTK::Window.new(0,0,200,200){
  d = MyTextDisplay.new(200,200)
  b = FLTK::TextBuffer.new(100)
  b.text = "this is buffer text."
  d.buffer = b
  d.insert_position(0)
}
w.show
FLTK.run
