require 'fltk'

if( !(FLTK::MAJOR_VERSION >= 1 && FLTK::MINOR_VERSION >= 1) )
  $stderr.print("You need fltk-1.1.x to run this script.\n")
  exit(0)
end

c = FLTK::FileChooser.new
c.show
if( defined?(c.new_button) )
  c.new_button.hide
end

h = FLTK::FileChooser.new(".","*.h",
			  FLTK::FileChooser::MULTI, "title2")
h.show
if( defined?(h.preview_button) )
  h.preview_button.hide
end

FLTK.run
