require 'fltk'

if( !(ARGV[0] && File.exist?(ARGV[0])) )
  $stderr.print("#{$0} <html-file>\n")
  exit(0)
end

FLTK::Window.new(400,300){|win|
  help = FLTK::HelpView.new(400,300)
  help.link{|w,uri| p uri; uri}
  help.load(ARGV[0])
  win.resizable(help)
  win.show
}

FLTK.run
