require 'fltk'

$items1 = [
  ["item1", 0, proc{ print("item1\n") }, "item1_data", FLTK::SUBMENU],
    ["inactivate", 0, proc{|w,data| w.menu($items2) }, "item1_foo_data"],
    [],
  ["item2", 0, proc{ print("item2\n") }, "item2_data", FLTK::SUBMENU],
    ["foo", 0, proc{ print("item2/foo\n") }, "item2_foo_data"],
    [],
  ["item3", 0, proc{ print("item3\n") }, "item3_data", FLTK::SUBMENU],
    ["foo", 0, proc{ print("item3/foo\n") }, "item3_foo_data"],
    [],
]

$items2 = [
  ["item1", 0, proc{ print("item1\n") }, "item1_data", FLTK::SUBMENU],
    ["activate", 0, proc{|w,data| w.menu($items1) }, "item1_foo_data"],
    [],
  ["item2", 0, proc{ print("item2\n") }, "item2_data", FLTK::SUBMENU|FLTK::MENU_INACTIVE],
    ["foo", 0, proc{ print("item2/foo\n") }, "item2_foo_data"],
    [],
  ["item3", 0, proc{ print("item3\n") }, "item3_data", FLTK::SUBMENU],
    ["foo", 0, proc{ print("item3/foo\n") }, "item3_foo_data"],
    [],
]

FLTK::Window.new(300,100){|win|
  menubar = FLTK::MenuBar.new(0,0,300,20)
  menubar.menu($items1)
  win.show
}

GC.start

FLTK.run
