require 'fltk'
require 'fltk/image'

$image,$width,$height = FLTK.load_pixmap("test/ruby.xpm")
p FLTK.measure_pixmap($image)
p [$width, $height]

class MyWidget < FLTK::Widget
  include FLTK::Drawable

  def draw
    draw_pixmap($image,30,30)
  end
end

FLTK::Window.new(0,0,400,400){|window|
  b = FLTK::Button.new(200,200,200,200)
  xpm = FLTK::Pixmap.new($image)
  xpm.label(b)

  m = MyWidget.new(0,0,200,200)

  window.show
}

FLTK.run
