require 'fltk'

FLTK::Window.new(300,100){|win|
  FLTK::Pack.new(25,25,250,50){|pack1|
    pack1.packtype = FLTK::Pack::VERTICAL
    FLTK::Pack.new(250,25){|pack2|
      pack2.packtype = FLTK::Pack::HORIZONTAL
      $up   = FLTK::Button.new(100,20,"UP")
      $down = FLTK::Button.new(100,20,"DOWN")
    }
    prog = FLTK::Progress.new(200,20)
    prog.maximum = 100.0
    prog.minimum = 0.0
    prog.value = 50.0
    prog.selection_color = FLTK::BLUE
    $up.callback{
      prog.value += 10.0
      prog.label = ((prog.value / prog.maximum) * 100).to_s + "%"
      p [prog.minimum,prog.value,prog.maximum]
    }
    $down.callback{
      prog.value -= 10.0
      prog.label = ((prog.value / prog.maximum) * 100).to_s + "%"
      p [prog.minimum, prog.value, prog.maximum]
    }
  }
  win.show
}
FLTK.run
