require 'fltk'
require 'fltk/thread'

#if( RUBY_PLATFORM =~ /mingw/ )
#  print("This program may abnormally terminate.\n")
#end

FLTK::Window.new(100,100){|win|
  $thread = nil
  $count  = 0

  FLTK::Pack.new(10,10,80,80){|pack|
    pack.packtype = FLTK::VERTICAL
    msg = FLTK::Box.new(0,0,80,50)
    msg.box = FLTK::THIN_DOWN_BOX
    FLTK::Pack.new(80,20){|pack|
      pack.packtype = FLTK::HORIZONTAL
      sb  = FLTK::Button.new(0,0,40,20,"start"){
	$thread = Thread.new{
	  while(true)
	    msg.label = $count.to_s
	    msg.redraw
	    $count += 1
	    sleep(1)
	  end
	}
      }
      eb  = FLTK::Button.new(0,0,40,20,"stop"){
	if( $thread )
	  $thread.kill
	  $thread = nil
	end
      }
    }
  }
  win.resizable(win)
  win.show
}

FLTK.run
