require 'fltk'

class MyWindow < FLTK::Window
  def initialize(*args)
    super(*args)
  end

  def handle(e)
    print("handle(#{e}) was called\n")
  end

  def inspect
    orig = super
    orig.chop!
    orig += " x=#{x},y=#{y},w=#{w},h=#{h} valid?=#{valid?}>"
    return orig
  end
end

$win = MyWindow.new(0,0,300,200, "MyWindow")
$win.show
$win.callback("some data"){|win, data|
  print("the callback is called with the data #{data.inspect}.\n")
  exit
}
$win.groupend

def foo
  $win.size($win.w + 10, $win.h + 10)
  FLTK.repeat_timeout(1.0){ foo }
end

FLTK.add_timeout(1.0){
  foo
}

#$win = nil
#GC.start
FLTK.run

