require 'fltk'
require 'iconv'

def e2u(str)
  Iconv.iconv("UTF-8", "EUC-JP", str).join
end

def u2e(str)
  Iconv.iconv("EUC-JP", "UTF-8", str).join
end

LABEL = {
  "OK" => e2u("λ"),
  "Quit" => e2u("λ"),
  "Label" => e2u("٥"),
}

w = FLTK::Window.new(120,60){
  i = FLTK::Input.new(0,0,120,20)
  i.value = LABEL["Label"]
  ok = FLTK::Button.new(0,20,70,40,LABEL["OK"]){
    print(u2e(i.value),"\n")
  }
  ok.labelsize = 22
  ex = FLTK::Button.new(70,20,50,40,LABEL["Quit"]){ exit(0) }
}
w.show
FLTK.run
